Bug 1658934 - [abrt] tomahawk: QList<PlayableItem*>::indexOf(): tomahawk killed by SIGSEGV
Summary: [abrt] tomahawk: QList<PlayableItem*>::indexOf(): tomahawk killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: tomahawk
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d1dd5b7e2e296a569f9a1ebdd33...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-13 08:29 UTC by Savvas Savvidis
Modified: 2019-11-27 20:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 20:21:10 UTC


Attachments (Terms of Use)
File: backtrace (116.01 KB, text/plain)
2018-12-13 08:29 UTC, Savvas Savvidis
no flags Details
File: cgroup (331 bytes, text/plain)
2018-12-13 08:29 UTC, Savvas Savvidis
no flags Details
File: core_backtrace (54.07 KB, text/plain)
2018-12-13 08:29 UTC, Savvas Savvidis
no flags Details
File: cpuinfo (1.31 KB, text/plain)
2018-12-13 08:29 UTC, Savvas Savvidis
no flags Details
File: dso_list (21.89 KB, text/plain)
2018-12-13 08:29 UTC, Savvas Savvidis
no flags Details
File: environ (1.56 KB, text/plain)
2018-12-13 08:29 UTC, Savvas Savvidis
no flags Details
File: exploitable (82 bytes, text/plain)
2018-12-13 08:29 UTC, Savvas Savvidis
no flags Details
File: limits (1.29 KB, text/plain)
2018-12-13 08:29 UTC, Savvas Savvidis
no flags Details
File: maps (144.13 KB, text/plain)
2018-12-13 08:29 UTC, Savvas Savvidis
no flags Details
File: mountinfo (3.56 KB, text/plain)
2018-12-13 08:29 UTC, Savvas Savvidis
no flags Details
File: open_fds (5.00 KB, text/plain)
2018-12-13 08:29 UTC, Savvas Savvidis
no flags Details
File: proc_pid_status (1.30 KB, text/plain)
2018-12-13 08:29 UTC, Savvas Savvidis
no flags Details

Description Savvas Savvidis 2018-12-13 08:29:25 UTC
Description of problem:
I pressed 'Add to Queue' to a new album that just got scanned. Note, that my music library is in a logical NTFS drive 
and not part of the Linix file system. I allow access to the disk through the 'Dolphin' file manager. This is the second 
time it happens, in the exactly the same manner

Some additional info about my system:
- Dell laptop (Inspriron 5558)
One physical hard drive (5400 rpm).
2 partitions with NTFS, one is Windows 10, the other a logical partition.
3 partitions with ext4, one is root, one is home and the other swap.
16 GB of RAM
Intel(R) Core(TM) i5-5200U CPU @ 2.20GHz
Audio device: Intel Corporation Broadwell-U Audio Controller (rev 09)
Audio device: Intel Corporation Wildcat Point-LP High Definition Audio Controller (rev 03)
VGA compatible controller: Intel Corporation HD Graphics 5500 (rev 09)

Version-Release number of selected component:
tomahawk-0.8.4-20.fc29

Additional info:
reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        /usr/bin/tomahawk
crash_function: QList<PlayableItem*>::indexOf
executable:     /usr/bin/tomahawk
journald_cursor: s=f803cffa267548bea6436eccd466974f;i=27c63;b=614f64fffd2c413da13b7848f320cc1c;m=449be13d;t=57ce2b594fe69;x=6193dadc4e088bc7
kernel:         4.19.8-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QList<PlayableItem*>::indexOf at /usr/include/QtCore/qlist.h:102
 #1 PlayableModel::parent at /usr/src/debug/tomahawk-0.8.4-20.fc29.x86_64/src/libtomahawk/playlist/PlayableModel.cpp:157
 #2 QModelIndex::parent at kernel/qabstractitemmodel.h:393
 #3 QAbstractItemModelPrivate::rowsAboutToBeRemoved at kernel/qabstractitemmodel.cpp:726
 #4 QAbstractItemModel::beginRemoveRows at kernel/qabstractitemmodel.cpp:2471
 #5 PlayableModel::removeIndex at /usr/include/QtCore/qabstractitemmodel.h:393
 #6 PlayableModel::removeIndexes at /usr/include/QtCore/qlist.h:468
 #7 PlayableModel::removeRows at /usr/src/debug/tomahawk-0.8.4-20.fc29.x86_64/src/libtomahawk/playlist/PlayableModel.cpp:737
 #8 TreeModel::onTracksAdded at /usr/src/debug/tomahawk-0.8.4-20.fc29.x86_64/src/libtomahawk/playlist/TreeModel.cpp:307
 #9 TreeModel::addTracks at /usr/include/QtCore/qsharedpointer_impl.h:155

Comment 1 Savvas Savvidis 2018-12-13 08:29:28 UTC
Created attachment 1513933 [details]
File: backtrace

Comment 2 Savvas Savvidis 2018-12-13 08:29:30 UTC
Created attachment 1513934 [details]
File: cgroup

Comment 3 Savvas Savvidis 2018-12-13 08:29:31 UTC
Created attachment 1513935 [details]
File: core_backtrace

Comment 4 Savvas Savvidis 2018-12-13 08:29:32 UTC
Created attachment 1513936 [details]
File: cpuinfo

Comment 5 Savvas Savvidis 2018-12-13 08:29:34 UTC
Created attachment 1513937 [details]
File: dso_list

Comment 6 Savvas Savvidis 2018-12-13 08:29:35 UTC
Created attachment 1513938 [details]
File: environ

Comment 7 Savvas Savvidis 2018-12-13 08:29:36 UTC
Created attachment 1513939 [details]
File: exploitable

Comment 8 Savvas Savvidis 2018-12-13 08:29:37 UTC
Created attachment 1513940 [details]
File: limits

Comment 9 Savvas Savvidis 2018-12-13 08:29:39 UTC
Created attachment 1513941 [details]
File: maps

Comment 10 Savvas Savvidis 2018-12-13 08:29:40 UTC
Created attachment 1513942 [details]
File: mountinfo

Comment 11 Savvas Savvidis 2018-12-13 08:29:42 UTC
Created attachment 1513943 [details]
File: open_fds

Comment 12 Savvas Savvidis 2018-12-13 08:29:43 UTC
Created attachment 1513944 [details]
File: proc_pid_status

Comment 13 Ben Cotton 2019-10-31 20:19:23 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2019-11-27 20:21:10 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.